Page MenuHomePhabricator

Hard deprecation warnings on SpecialMobileDiff
Closed, ResolvedPublic2 Story Points

Description

The following errors are occurring in the logs.

	Use of User::getGroupMember was deprecated in MediaWiki 1.29. [Called from SpecialMobileDiff::listGroups in /srv/mediawiki/php-1.29.0-wmf.10/extensions/MobileFrontend/includes/specials/SpecialMobileDiff.php at line 366]
	Use of User::makeGroupLinkHTML was deprecated in MediaWiki 1.29. [Called from SpecialMobileDiff::listGroups in /srv/mediawiki/php-1.29.0-wmf.10/extensions/MobileFrontend/includes/specials/SpecialMobileDiff.php at line 370]

According to https://www.mediawiki.org/wiki/Requests_for_comment/Deprecation_policy we should aim to get this removed before the next MediaWiki release. Sooner the best I say...

Event Timeline

Restricted Application added a subscriber: Aklapper. ยท View Herald TranscriptFeb 3 2017, 10:20 PM
โ€ข Jdlrobson set the point value for this task to 2.Feb 6 2017, 7:52 PM
pmiazga claimed this task.

Change 338396 had a related patch set uploaded (by Pmiazga):
Remove deprecated warnings on SpecialMobileDiff

https://gerrit.wikimedia.org/r/338396

Change 338396 merged by jenkins-bot:
Remove deprecated warnings on SpecialMobileDiff

https://gerrit.wikimedia.org/r/338396

phuedx reassigned this task from pmiazga to bmansurov.
phuedx added subscribers: bmansurov, pmiazga, phuedx.

This is a technical task. Over to you @bmansurov!

bmansurov closed this task as Resolved.Feb 28 2017, 9:25 PM
bmansurov removed bmansurov as the assignee of this task.